# 1. This file is an example of k8 multi-container pod where Appsentinels controller is running
# 2. The ingress controller container properties defined are for samples only. It might be different for your deployment
apiVersion: v1
kind: Service
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.21.0 (992df58d8)
  creationTimestamp: null
  labels:
    io.kompose.service: appsentinels-controller
  name: appsentinels-controller
  namespace: appsentinels
spec:
  ports:
  - name: "9004"
    port: 9004
    targetPort: 9004
  externalIPs:
    - 10.1.0.5 #UPDATE REQUIRED
  type: NodePort
  selector:
    io.kompose.service: appsentinels-controller
status:
  loadBalancer: {}
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.21.0 (992df58d8)
  creationTimestamp: null
  labels:
    io.kompose.service: appsentinels-controller
  name: appsentinels-controller
  namespace: appsentinels
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: appsentinels-controller
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: appsentinels-controller
        io.kompose.service: appsentinels-controller
    spec:
      # #####################################################
      # Start of properties of appsentinels controller container
      containers:
      - env:
        - name: SAAS_SERVER_NAME
          value: in-cloud.appsentinels.ai
        - name: SAAS_API_KEY_VALUE
          value: <Your API key>
        - name: APPLICATION_DOMAIN
          value: <Your app domain>
        - name: ENVIRONMENT
          value: <Your environment>
        image: appsentinels/ng-controller:latest
        imagePullPolicy: IfNotPresent
        name: appsentinels-controller
        ports:
        - containerPort: 9004
        resources:
          requests:
            cpu: 4
            memory: 8Gi
          limits:
            cpu: 4
            memory: 8Gi
      hostname: appsentinels-controller # This is mandatory
      # end of properties of appsentinels controller container
      # #####################################################
      restartPolicy: Always
      serviceAccountName: ""
      dnsPolicy: "None"
      dnsConfig:
         nameservers:
           - 8.8.8.8 #UPDATE REQUIRED
status: {}
